Bug 235238 - Screensaver with Smart Cards UI issue
Screensaver with Smart Cards UI issue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-04-04 13:23 EDT by Jack Magne
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jack Magne 2007-04-04 13:23:42 EDT
Description of problem:

This issue covers the following case:

1. Smart cards are enabled.

2. The screensaver is active.

3. The user does NOT have the smart card plugged in.

When the user moves the mouse, the screensaver takes the user to a dialog where
the user is told the following:

"Please insert your smartcard called ..."

Along with those instructions the user is also given a text box into which a
useless password can be entered.

It would be better to not have the password dialog available at this time.
Also, would it be useful to have some kind of descriptive icon present to let
the user know that they have to re-insert the smart card in order to regain
control of the computer?



Version-Release number of selected component (if applicable):

gnome-screensaver-2.18.0-6.fc7

How reproducible:

Always


Steps to Reproduce:
1. Enable smart card login.
2. Remove the smart card.
3. Jiggle the mouse, bringing the screensaver to life.

  
Actual results:

The user is shown a dialog with a text box with no description that accepts any
input and has no function.

Expected results:

The user should be asked to put the card back in. Possibly an icon of some kind
could help the user here as well.

Additional info:
Comment 1 Ray Strode [halfline] 2007-04-04 13:59:57 EDT
hmmm, must be a rawhide regression.

At one point we hid the entry until it was needed, and then later we changed it
to desensitize the entry until needed.
Comment 2 Bug Zapper 2008-05-13 22:43:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 18:31:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:14:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.